%define major	0
%define libname %mklibname %name %major
%define develname %mklibname -d %name

Name: redland
Version: 1.0.16
Release: %mkrel 2
License: LGPL
Summary: Redland RDF Application Framework
Group: Development/Other
Source: http://librdf.org/dist/source/%{name}-%{version}.tar.gz
Patch0: redland-1.0.14-link.patch
URL: http://librdf.org/
BuildRequires: pkgconfig(libcares)
BuildRequires: db5-devel
BuildRequires: pkgconfig(gnutls)
BuildRequires: gtk-doc
BuildRequires: libtool
BuildRequires: libtool-devel
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: pkgconfig(raptor2)
BuildRequires: pkgconfig(rasqal)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: virtuoso-opensource
BuildRequires: pkgconfig(libiodbc)
BuildRequires: swig
Conflicts: %{develname} < 1.0.14
Requires: rasqal
Requires: raptor2

%description
Redland is a library that provides a high-level interface for RDF
(Resource Description Framework) implemented in an object-based API.
It is modular and supports different RDF/XML parsers, storage
mechanisms and other elements. Redland is designed for applications
developers to provide RDF support in their applications as well as
for RDF developers to experiment with the technology.


%package -n %{libname}
Summary:        Dynamic libraries from %name
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %name.


%package -n %{develname}
Summary: Header files and static libraries from %name
Group: Development/Other
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release} 
Obsoletes: %name-devel
Obsoletes: %{mklibname -d %name 0}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.


%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --disable-static \
	--with-mysql \
	--with-postgresql \
	--with-raptor=system \
	--with-rasqal=system

%make

%install
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%multiarch_binaries %{buildroot}%{_bindir}/redland-config

%files
%doc AUTHORS COPYING COPYING.LIB ChangeLog
%doc README NEWS LICENSE.txt
%doc *.html
%_bindir/redland-db-upgrade
%_bindir/rdfproc
%_libdir/%{name}
%_datadir/%name
%_mandir/man1/*
%_mandir/man3/*

%files -n %libname
%_libdir/librdf.so.%{major}*

%files -n %develname
%multiarch %{multiarch_bindir}/redland-config
%_bindir/redland-config
%_includedir/redland.h
%_includedir/librdf.h 
%_includedir/rdf_*.h
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_datadir/gtk-doc/*/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.0.16-2.mga3
+ Revision: 380276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 mikala <mikala> 1.0.16-1.mga3
+ Revision: 338307
- Update tarball to 1.0.16

* Tue Jul 31 2012 fwang <fwang> 1.0.15-4.mga3
+ Revision: 276304
- rebuild for db-5.3

* Mon Jul 30 2012 tv <tv> 1.0.15-3.mga3
+ Revision: 276245
- rebuild for db-5.3

* Thu Jun 14 2012 tv <tv> 1.0.15-2.mga3
+ Revision: 260512
- build with db5.2

  + kamil <kamil>
    - clean .spec

* Sun Dec 04 2011 fwang <fwang> 1.0.15-1.mga2
+ Revision: 176212
- do not build docs
- new version 1.0.15
- more linkage fix
- fix linkage of  engines
- build against iodbc
- new version 1.0.14

  + mikala <mikala>
    - Remove defattr()
    - use pkgconfig() for BR

* Sun Jul 17 2011 dmorgan <dmorgan> 1.0.12-8.mga2
+ Revision: 125013
- Bump release
- Revert to last know version to work

* Fri Jul 15 2011 kharec <kharec> 1.0.13-1.mga2
+ Revision: 124509
- fix BR for authorize build
- New version 1.0.13

* Fri Mar 25 2011 dmorgan <dmorgan> 1.0.12-7.mga1
+ Revision: 77401
- Relink to db4, if not libreoffice will not be installable

* Thu Mar 24 2011 dmorgan <dmorgan> 1.0.12-6.mga1
+ Revision: 76776
- Rebuild against new mysql

* Sat Jan 15 2011 mikala <mikala> 1.0.12-5.mga1
+ Revision: 18344
- Drop mdk macros
- Remove BuildRoot
- imported package redland

